javax.persistence

## Annotation Type PersistenceContext

    @Target(value={TYPE,METHOD,FIELD})
     @Retention(value=RUNTIME)
    public @interface PersistenceContext

### Optional Element Summary

Optional Elements
`String` `name`
`PersistenceProperty[]` `properties`
`PersistenceContextType` `type`
`String` `unitName`

### Element Detail

#### name

    public abstract String name

Default:
  ""

#### unitName

    public abstract String unitName

Default:
  ""

#### type

    public abstract PersistenceContextType type

Default:
  javax.persistence.PersistenceContextType.TRANSACTION

#### properties

    public abstract PersistenceProperty[] properties

Default:
  {}